<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<style>
body{
    background-color: black;
    display:flex; 
    flex-flow:column;   
}
.clock{
    color:lightgreen;
    margin:20% auto;
    font-size: 52px;
}
.wel{
    color:lightblue;
    margin:0 auto;
    font-size:48px;
}
</style>
<body>
    <div class="clock" id='main-clock'>12:12:12</div>
    <div class="wel" id='us'>what is the name?</div>
    
</body>
<script>
    var username=prompt('What is your name?','unknown');
    var welcomeText="welcome "+username;
    document.getElementById('us').innerHTML=welcomeText;
    function theTimer(){
        var d= new Date();
        var hour=d.getHours();
        var min=d.getMinutes();
        var sec=d.getSeconds();
        if(hour>12){
            var sit="PM";
            hour-=12;
        }else{
            var sit="AM";
        }
        if(hour<10){
            hour='0'+hour;
        }
        if(min<10){
            min='0'+min;
        }
        if(sec<10){
            sec='0'+sec;
        }
        var true_time=hour + ':'+min +':'+sec+' '+ sit;

        document.getElementById('main-clock').innerText=true_time;

        setTimeout(theTimer,1000);
    }

    theTimer();

</script>
</html>